Subject: bug#30938: 27.0; `dired-do-create-files' etc.: do NOT always raise error if no files

From: Noam Postavsky <[email-masked]>
Date: Thu, 29 Mar 2018 16:25:52 -0400

On 29 March 2018 at 16:04, Juri Linkov <[email-masked]> wrote:

> Don't you see there is something wrong in adding the same INTERACTIVEP
> arg to all these 13 commands and possibly to more 15 other commands?

The parameter should be named THROW-ERROR-P, then it's clear that
there is nothing wrong with it, all commands just happen to share this
interface feature: they may throw error, or not.
(and they can still work correctly if called non-interactively from
some other interactive command)